package  
{
	import net.hires.debug.Stats;

	import flash.display.MovieClip;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.utils.getDefinitionByName;

	/**
	 * @author Nicolas Schudel
	 */
	public class PerformanceTestFLV extends Sprite 
	{
		private const TOTAL_ROWS:int = 8;
		private const TOTAL_COLUMNS:int = 8;

		public function PerformanceTestFLV()
		{
			stage.addEventListener(MouseEvent.CLICK, startTest);
		}

		private function startTest(event:Event):void
		{
			stage.removeEventListener(MouseEvent.CLICK, startTest);
			
			var ref:Class = getDefinitionByName("Sequence") as Class;
			var posY:Number = 0, posX:Number = 0;
			var rows:int = TOTAL_ROWS;
			while (rows--) 
			{
				var columns:int = TOTAL_COLUMNS;
				posX = 0;
				
				while (columns--) 
				{
					var mc:MovieClip = new ref() as MovieClip;
					addChild(mc);
					// did not see a difference in performance by enabling this
					// mc.cacheAsBitmap = true;
					mc.x = posX;
					mc.y = posY;
					// update column position
					posX += stage.stageWidth / TOTAL_COLUMNS;
				}
				// update row position
				posY += stage.stageHeight / TOTAL_ROWS;
			}
			var stats:Stats = new Stats();
			stats.y = stats.x = 40;
			addChildAt(stats, TOTAL_ROWS * TOTAL_COLUMNS);
		}
	}
}
