package  
{
	import net.hires.debug.Stats;

	import com.stoletheshow.display.BitmapAnimation;

	import flash.display.MovieClip;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.utils.getDefinitionByName;

	/**
	 * @author Nicolas Schudel
	 */
	public class PerformanceTestBMA_Backwards extends Sprite
	{
		private const TOTAL_ROWS:int = 8;
		private const TOTAL_COLUMNS:int = 8;
		private var _clips:Array = [];

		public function PerformanceTestBMA_Backwards()
		{
			stage.addEventListener(MouseEvent.CLICK, startTest);
		}

		private function startTest(event:Event):void
		{
			stage.removeEventListener(MouseEvent.CLICK, startTest);
			
			var posY:Number = 0, posX:Number = 0;
			var rows:int = TOTAL_ROWS;
			var holder:BitmapAnimation = new BitmapAnimation();
			holder.draw(new (getDefinitionByName("Sequence") as Class)() as MovieClip);

			while (rows--) 
			{
				var columns:int = TOTAL_COLUMNS;
				posX = 0;
				
				while (columns--) 
				{
					var bitmapAnimation:BitmapAnimation = new BitmapAnimation(holder.bitmapSequence);
					addChild(bitmapAnimation);
					trace(bitmapAnimation.width);
					bitmapAnimation.x = posX;
					bitmapAnimation.y = posY;
					bitmapAnimation.stop();
					// update column position
					posX += stage.stageWidth / TOTAL_COLUMNS;
					
					_clips.push(bitmapAnimation);
				}
				// update row position
				posY += stage.stageHeight / TOTAL_ROWS;
			}
			
			var stats:Stats = new Stats();
			stats.y = stats.x = 40;
			addChildAt(stats, TOTAL_ROWS * TOTAL_COLUMNS);
			
			addEventListener(Event.ENTER_FRAME, onEnterFrame);
		}

		private function onEnterFrame(event:Event):void
		{
			for each (var bitmapAnimation:BitmapAnimation in _clips) 
			{
				bitmapAnimation.prevFrame();
			}
		}
	}
}
